Bug 212696 - devel/avr-gcc: Fix build with libc++ 3.9.0
Summary: devel/avr-gcc: Fix build with libc++ 3.9.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Joerg Wunsch
URL:
Keywords:
Depends on:
Blocks: 212343
  Show dependency treegraph
 
Reported: 2016-09-14 21:11 UTC by Dimitry Andric
Modified: 2017-01-06 18:57 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (joerg)


Attachments
Include <new> in gcc/system.h (853 bytes, patch)
2016-09-14 21:11 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2016-09-14 21:11:49 UTC
Created attachment 174791 [details]
Include <new> in gcc/system.h

During the exp-run for bug 212343, devel/avr-gcc encounters a similar problem as with bug 212465 for lang/gcc49, namely:

In file included from ../.././gcc/c/c-objc-common.c:33:
In file included from /usr/include/c++/v1/new:70:
/usr/include/c++/v1/exception:267:5: error: no member named 'fancy_abort' in namespace 'std::__1'; did you mean simply 'fancy_abort'?
    _VSTD::abort();
    ^~~~~~~

This is because gcc's system.h redefines abort to fancy_abort, and then includes a number of C++ standard headers.  I propose to fix this with the same patch as I submitted for bug 212465.
Comment 1 commit-hook freebsd_committer 2016-10-20 06:13:14 UTC
A commit references this bug:

Author: antoine
Date: Thu Oct 20 06:13:08 UTC 2016
New revision: 424307
URL: https://svnweb.freebsd.org/changeset/ports/424307

Log:
  Fix build with libc++ 3.9.0

  PR:		212696
  Submitted by:	dim
  Approved by:	maintainer timeout (1 month)

Changes:
  head/devel/avr-gcc/files/patch-gcc_system.h
Comment 2 commit-hook freebsd_committer 2016-12-27 10:06:35 UTC
A commit references this bug:

Author: antoine
Date: Tue Dec 27 10:06:19 UTC 2016
New revision: 429591
URL: https://svnweb.freebsd.org/changeset/ports/429591

Log:
  MFH: r424307

  Fix build with libc++ 3.9.0

  PR:		212696
  Submitted by:	dim

Changes:
_U  branches/2016Q4/
  branches/2016Q4/devel/avr-gcc/files/patch-gcc_system.h
Comment 3 commit-hook freebsd_committer 2017-01-06 18:54:56 UTC
A commit references this bug:

Author: antoine
Date: Fri Jan  6 18:54:09 UTC 2017
New revision: 430730
URL: https://svnweb.freebsd.org/changeset/ports/430730

Log:
  Fix build with libc++ 3.9.0

  PR:		212696
  Submitted by:	dim
  MFH:		2017Q1

Changes:
  head/devel/avr-gcc-devel/files/patch-gcc_system.h
Comment 4 commit-hook freebsd_committer 2017-01-06 18:57:00 UTC
A commit references this bug:

Author: antoine
Date: Fri Jan  6 18:56:14 UTC 2017
New revision: 430731
URL: https://svnweb.freebsd.org/changeset/ports/430731

Log:
  MFH: r430730

  Fix build with libc++ 3.9.0

  PR:		212696
  Submitted by:	dim

Changes:
_U  branches/2017Q1/
  branches/2017Q1/devel/avr-gcc-devel/files/patch-gcc_system.h